# eric6.WebBrowser.FlashCookieManager.FlashCookieNotification

Module implementing the feature permission bar widget.

### Global Attributes

None

### Classes

FlashCookieNotification | Class implementing the feature permission bar widget.

### Functions

None

## FlashCookieNotification

Class implementing the feature permission bar widget.

### Derived from

E5AnimatedWidget

### Class Attributes

DefaultHeight

### Class Methods

None

### Methods

FlashCookieNotification | Constructor

### Static Methods

None

#### FlashCookieNotification (Constructor)

FlashCookieNotification(view, manager, noCookies)

Constructor

view (WebBrowserView)
  reference to the web view
manager (FlashCookieManager)
  reference to the Flash cookie manager object
noCookies (int)
  number of newly detected Flash cookies

Up